CRYPTO_AEAD_ENCRYPT(9)

NAME
crypto_aead_encrypt - encrypt plaintext

SYNOPSIS

int crypto_aead_encrypt(struct aead_request * req);

ARGUMENTS

req
    reference to the aead_request handle that holds all information needed to perform the cipher operation

DESCRIPTION

Encrypt plaintext data using the aead_request handle. That data structure and how it is filled with data is discussed with the aead_request_* functions.

IMPORTANT NOTE The encryption operation creates the authentication data / tag. That data is concatenated with the created ciphertext. The ciphertext memory size is therefore the given number of block cipher blocks + the size defined by the crypto_aead_setauthsize invocation. The caller must ensure that sufficient memory is available for the ciphertext and the authentication tag.

RETURN

0 if the cipher operation was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT